package com.alvin.db.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import com.alvin.db.service.IAccessRoleService;
import com.alvin.db.entity.AccessRole;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;


/**
 * <p>
 * 运营角色表 前端控制器
 * </p>
 *
 * @author tianyun
 * @since 2022-08-17
 */
@RestController
@RequestMapping("/access-role")
public class AccessRoleController {

    @Resource
    private IAccessRoleService accessRoleService;

    @PostMapping
    public Boolean save(@RequestBody AccessRole accessRole) {
        return accessRoleService.saveOrUpdate(accessRole);
    }

    @DeleteMapping("/{id}")
    public Boolean delete(@PathVariable Integer id) {
        return accessRoleService.removeById(id);
    }

    @GetMapping
    public List<AccessRole> findAll() {
        return accessRoleService.list();
    }

    @GetMapping("/{id}")
    public List<AccessRole> findOne(@PathVariable Integer id) {
        return accessRoleService.list();
    }

    @GetMapping("/page")
    public Page<AccessRole> findPage(@RequestParam Integer pageNum,
                                     @RequestParam Integer pageSize) {
        return accessRoleService.page(new Page<>(pageNum, pageSize));
    }
}
